Subject: Help with H8 Parts

From: "Keys" <[email-masked]>
Date: Mon Mar 3 15:20:01 2003

Today while at the warehouse I located my H8 and was shocked to find that 4
of the buttons were broken off the entry pad. Can anyone give me a lead on
were I can purchase a new or used pad? Also found the Floppy disk system ( 3
FD drives) and the H9 Video Terminal for it.